# Joseph Zambreno
# Iowa State University
# default.bpl - default Boomtown Programming Language file

# The '#' symbol denotes comments.
# Comments are only detected at the beginning of a line

# Set the four players first. The valid options are:
# Captain, Ghost, Stretcher, Safety, Sprinter, Hoarder, Hulk
#
# Each type has their own strengths and weaknesses - see the documentation for more detail
#P1 Ghost
#P2 Stretcher
#P3 Safety
#P4 Hulk
P1 Stretcher
P2 Stretcher
P3 Stretcher
P4 Stretcher

#.Movelist for each player. Some notes:
# Valid options are: Left, Right, Reverse,.Move, Drop, Wait
#
# Turning (either Left, Right, or Reverse) happen instantaneously
# The other options take one ore more game cycles to execute.
#
# The ordering of each player does not matter. All four players will 
# have their moves synchronized cycle-by-cycle. 
#cycle 1
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 2
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 3
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 4
P4.Move
P4.Left
P3.Left
P3.Move
P2.Move
P1.Move
#cycle 5
P4.Drop
P3.Move
P2.Move
P1.Move
#cycle 6
P4.Reverse
P4.Move
P3.Drop
P2.Move
P1.Move
#cycle 7
P4.Move
P3.Reverse
P3.Move
P2.Move
P1.Move
#cycle 8
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 9
P4.Right
P4.Move
P3.Right
P3.Move
P2.Move
P1.Move
#cycle 10
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 11
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 12
P4.Move
P3.Move
P2.Move
P1.Move
#cycle 13
P4.Move
P3.Move
P2.Move
P1.Move