# Joseph Zambreno
# Iowa State University
# default.bpl - default Boomtown Programming Language file

# The '#' symbol denotes comments.
# Comments are only detected at the beginning of a line

# Set the four players first. The valid options are:
# Captain, Ghost, Stretcher, Safety, Sprinter, Hoarder, Hulk
#
# Each type has their own strengths and weaknesses - see the documentation for more detail
P1 Ghost
P2 Stretcher
P3 Hulk
P4 Hulk

# Movelist for each player. Some notes:
# Valid options are: Left, Right, Reverse, Move, Drop, Wait
#
# Turning (either Left, Right, or Reverse) happen instantaneously
# The other options take one ore more game cycles to execute.
#
# The ordering of each player does not matter. All four players will 
# have their moves synchronized cycle-by-cycle. 
P1.Move 4
P1.Wait
P2.Move 10
P2.Wait
P3.Right
P3.Move 10
P3.Wait
P3.Move 14
P3.Drop
P3.Left
P3.Move 14
P3.Drop
P3.Left Move 14
P3.Drop
P3.Left Move 14
P3.Wait