# Joseph Zambreno
# Iowa State University
# default.bpl - default Boomtown Programming Language file

# The '#' symbol denotes comments.
# Comments are only detected at the beginning of a line

# Set the four players first. The valid options are:
# Captain, Ghost, Stretcher, Safety, Sprinter, Hoarder, Hulk
#
# Each type has their own strengths and weaknesses - see the documentation for more detail
P1 Sprinter 
P2 Safety
P3 Sprinter 
P4 Safety

# Movelist for each player. Some notes:
# Valid options are: Left, Right, Reverse, Move, Drop, Wait
#
# Turning (either Left, Right, or Reverse) happen instantaneously
# The other options take one ore more game cycles to execute.
#
# The ordering of each player does not matter. All four players will 
# have their moves synchronized cycle-by-cycle. 




P1.Move 6
P1.Left
P1.Move 6
P1.Drop
P1.Move 4
P1.Drop
P1.Move 6
P1.Left
P1.Move 3

P3.Move 10
P3.Left
P3.Move 5
P3.Drop
P3.Move 4
P3.Drop
P3.Move 5
P3.Right
P3.Move 6

P2.Left
P2.Move 3
P2.Drop
P2.Move 4
P2.Drop
P2.Left
P2.Move 3
P2.Drop
P2.Move 4
P2.Drop
P2.Left
P2.Move 3
P2.Drop
P2.Move 4
P2.Drop
P2.Left
P2.Move 3
P2.Drop
P2.Move 4
P2.Drop

P4.Move 4
P4.Left
P4.Move 4
P4.Drop
P4.Move 4
P4.Drop
P4.Left
P4.Move 4
P4.Left
P4.Move 4
P4.Drop
P4.Move 4
P4.Drop
P4.Left
P4.Move 4
P4.Left
P4.Move 4
P4.Drop
P4.Move 4
P4.Drop
P4.Left
P4.Move 4
P4.Left
P4.Move 4
P4.Drop
P4.Move 4
P4.Drop
P4.Left
