# Joseph Zambreno
# Iowa State University
# default.bpl - default Boomtown Programming Language file

# The '#' symbol denotes comments.
# Comments are only detected at the beginning of a line

# Set the four players first. The valid options are:
# Captain, Ghost, Stretcher, Safety, Sprinter, Hoarder, Hulk
#
# Each type has their own strengths and weaknesses - see the documentation for more detail
P1 Stretcher
P2 Hoarder
P3 Hoarder
P4 Stretcher

# Movelist for each player. Some notes:
# Valid options are: Left, Right, Reverse, Move, Drop, Wait
#
# Turning (either Left, Right, or Reverse) happen instantaneously
# The other options take one ore more game cycles to execute.
#
# The ordering of each player does not matter. All four players will 
# have their moves synchronized cycle-by-cycle. 
P4.Left
P4.Move 3
P4.Drop
P4.Move 1
P4.Drop
P4.Move 1
P4.Right
P4.Move 1
P4.Wait 20
P4.Move 4
P4.Drop
P4.Move 1
P4.Drop
P4.Move 1
P4.Right
P4.Move 1
P4.Left
P4.Move 1
P4.Drop
P4.Move 2
P4.Drop
P4.Move 2
P4.Right
P4.Move 1

P2.Move 7
P2.Left
P2.Move 1
P2.Drop
P2.Move 2
P2.Drop
P2.Move 2
P2.Drop
P2.Move 2
P2.Drop
P2.Move 1
P2.Left
P2.Move 1

P3.Move 14
P3.Drop
P3.Move 1
P3.Right
P3.Move 1




